summaryrefslogtreecommitdiff
path: root/oh-my-zsh.sh
diff options
context:
space:
mode:
Diffstat (limited to 'oh-my-zsh.sh')
-rw-r--r--oh-my-zsh.sh25
1 files changed, 17 insertions, 8 deletions
diff --git a/oh-my-zsh.sh b/oh-my-zsh.sh
index ec64c240f..8e31ddd0f 100644
--- a/oh-my-zsh.sh
+++ b/oh-my-zsh.sh
@@ -8,6 +8,9 @@ fi
# add a function path
fpath=($ZSH/functions $ZSH/completions $fpath)
+# Load all stock functions (from $fpath files) called below.
+autoload -U compaudit compinit
+
# Set ZSH_CUSTOM to the path where your custom config files
# and plugins exists, or else we will use the default custom/
if [[ -z "$ZSH_CUSTOM" ]]; then
@@ -29,11 +32,6 @@ for config_file ($ZSH/lib/*.zsh); do
source $config_file
done
-# Load all of your custom configurations from custom/
-for config_file ($ZSH_CUSTOM/*.zsh(N)); do
- source $config_file
-done
-unset config_file
is_plugin() {
local base_dir=$1
@@ -64,9 +62,14 @@ if [ -z "$ZSH_COMPDUMP" ]; then
ZSH_COMPDUMP="${ZDOTDIR:-${HOME}}/.zcompdump-${SHORT_HOST}-${ZSH_VERSION}"
fi
-# Load and run compinit
-autoload -U compinit
-compinit -i -d "${ZSH_COMPDUMP}"
+# If completion insecurities exist, warn the user without enabling completions.
+if ! compaudit &>/dev/null; then
+ # This function resides in the "lib/compfix.zsh" script sourced above.
+ handle_completion_insecurities
+# Else, enable and cache completions to the desired file.
+else
+ compinit -d "${ZSH_COMPDUMP}"
+fi
# Load all of the plugins that were defined in ~/.zshrc
for plugin ($plugins); do
@@ -77,6 +80,12 @@ for plugin ($plugins); do
fi
done
+# Load all of your custom configurations from custom/
+for config_file ($ZSH_CUSTOM/*.zsh(N)); do
+ source $config_file
+done
+unset config_file
+
# Load the theme
if [ "$ZSH_THEME" = "random" ]; then
themes=($ZSH/themes/*zsh-theme)